clc
clear all
filename_EOG = 'vysledky EOG_osoba.xlsx';
filename_WBB = 'vysledky WBB_osoba.xlsx';
druh_mereni={'otevřené oči','otevřené oči - fixace','zavřené oči','bod vysoko','bod na zemi','pohyb svisle','pohyb vodorovně','pohyb vodorovně + svisle','kruhový pohyb','zmenšování + zvětšování bodu','video - vzdalování objektu','text jednoduchý','text anglicky','text - zhoršená čitelnost'};
parametry={'amplituda x','amplituda y', 'délka křivky','celková plocha', 'střední poloměr', 'RMS','plocha 95% elipsy'};
filename_vysl='korelace_osoby.xlsx';
filename_vysl_p='korelace_osoby_p.xlsx';
for i=1:10 % korelace - pro každého jedince
    file_EOG2=xlsread(filename_EOG,i);
    file_WBB2=xlsread(filename_WBB,i);
    for j=1:7
        y2=(file_EOG2(:,j));
        x2=(file_WBB2(:,j));
[r,p] = spear(x2,y2);
tabulka_r(i,j)=r;

tabulka_p(i,j)=p;

 figure(i)
 subplot(4,2,j)
 scatter(x2,y2,5)
 title(parametry{j})
 xlabel('WBB')
 ylabel('EOG')
 hold on   
    end  
end
xlswrite(filename_vysl,[1:10]',1,'A2');
xlswrite(filename_vysl,parametry,1,'B1');
xlswrite(filename_vysl,tabulka_r,1,'B2');

xlswrite(filename_vysl_p,[1:10]',1,'A2');
xlswrite(filename_vysl_p,parametry,1,'B1');
xlswrite(filename_vysl_p,tabulka_p,1,'B2');
